# List webhook delivery attempts

Retrieves a paginated list of attempts for a webhook delivery.

Endpoint: GET /v1/webhook-subscriptions/{webhookSubscriptionUuid}/deliveries/{webhookDeliveryUuid}/attempts
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `webhookSubscriptionUuid` (string, required)
    The unique identifier of the webhook subscription.

  - `webhookDeliveryUuid` (string, required)
    The unique identifier of the webhook delivery.

## Query parameters:

  - `uuids[eq]` (array)

  - `createdAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[order]` (string)

  - `attemptNumber[order]` (string)

  - `page` (integer)

  - `size` (integer)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.uuid` (string, required)
    Unique identifier for this delivery attempt.

  - `items.webhookSubscriptionUuid` (string, required)
    The webhook subscription this attempt belongs to.

  - `items.webhookDeliveryUuid` (string, required)
    The parent webhook delivery this attempt belongs to.

  - `items.attemptNumber` (integer, required)
    Sequential number of this attempt within the delivery.

  - `items.statusCode` (integer, required)
    HTTP status code returned by the target URL.

  - `items.responseBody` (string,null)
    Response body returned by the target URL.

  - `items.responseTimeMs` (integer, required)
    Response time in milliseconds for this attempt.

  - `items.createdAt` (string, required)
    Timestamp when this attempt was made.
    Example: "2025-11-23T14:15:22.123456Z"

  - `pagination` (object, required)

  - `pagination.page` (integer, required)

  - `pagination.size` (integer, required)

  - `pagination.totalItems` (integer, required)

  - `pagination.totalPages` (integer, required)

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


